com.pdfunit.validators

## Class MultiDocumentAllFieldsValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentAllFieldsValidator

-     @DoNotObfuscate
      public final class MultiDocumentAllFieldsValidator
      extends java.lang.Object

  Validator with methods, belonging to all fields of an acro form in PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016
  See Also:
    `AllFieldsValidator`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentAllFieldsValidator(MultiDocumentValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentAllFieldsValidator` | `allWithoutTextOverflow()` This method checks for each given PDF document that the content of each of its field can be seen.
    `MultiDocumentAllFieldsValidator` | `hasFields()` This method checks that each given PDF has fields.
    `MultiDocumentAllFieldsValidator` | `withoutDuplicateNames()` This method checks for each given document that its formular does not have fields with duplicates names.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentAllFieldsValidator

          protected MultiDocumentAllFieldsValidator(MultiDocumentValidator backReference)

  - ### Method Detail

    - #### withoutDuplicateNames

          public MultiDocumentAllFieldsValidator withoutDuplicateNames()

      This method checks for each given document that its formular does not have fields with duplicates names. In that case, a PDFUnitValidationException is thrown.

    - #### allWithoutTextOverflow

          public MultiDocumentAllFieldsValidator allWithoutTextOverflow()

      This method checks for each given PDF document that the content of each of its field can be seen.

    - #### hasFields

          public MultiDocumentAllFieldsValidator hasFields()

      This method checks that each given PDF has fields.

      When the form does not contain any field, an instance of PDFUnitValidationException will be thrown.

Copyright (C) PDFUnit.com. See here for license.